Bug 117776 - crashes during bootloader install if / is xfs
crashes during bootloader install if / is xfs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks: FC2Target
  Show dependency treegraph
 
Reported: 2004-03-08 08:45 EST by Stewart Smith
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-11 09:33:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stewart Smith 2004-03-08 08:45:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.6)
Gecko/20040122 Epiphany/1.0.7

Description of problem:
If the root partition is xfs (starting the install process with 'linux
xfs'), during the install bootloader step, anaconda stops responding.
From looking at console messages, it seems to have done something, but
possibly not completely written the boot blocks out (as the machine
doesn't actually boot if you press reset).

once / was changed to ext3, the install completed successfully.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Make / xfs
2. Install system
3. See system stop doing anything when installing bootloader
    

Expected Results:  It to work properly, with XFS, out of the box,

Additional info:
Comment 1 Milan Slanař 2004-05-04 08:33:57 EDT
I see the problem in FC2T2 and FC2T3. Install hangs when /boot and /
are xfs. I think I was successful with / xfs and /boot ext3.
Workaround: when install bootloader (grub) hangs -> switch to command
prompt, install grub by hand, then kill grub process, which eats 98%
CPU, switch back to install screen -> success! It can be grub bug.
Comment 2 Ow 2004-06-06 15:09:22 EDT
This problem is still exists on the full FC2 release. Comment #1 from 
Milan "Would" work if he did list out the command to install grub by 
hand.

I could still boot into FC2 using my FC1's grub and going into 
command line and typing out

root (hd0,1)
kernel /boot/vmlinuz
initrd /boot/initrd.img

etc..
Comment 3 Stewart Smith 2004-08-11 09:33:05 EDT
This seems to not be a problem with FC3t1.

Note You need to log in before you can comment on or make changes to this bug.